curl --request PUT \
--url https://api.skulabs.com/order/modify_financial_status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"store_id": "507f1f77bcf86cd799439011",
"order_number": "<string>",
"financial_status": "pending",
"status_date": "2025-01-15T12:00:00.000Z",
"order": {},
"refresh_cache": true
}
'{
"success": true
}Update the financial/payment status of one or more orders.
curl --request PUT \
--url https://api.skulabs.com/order/modify_financial_status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"store_id": "507f1f77bcf86cd799439011",
"order_number": "<string>",
"financial_status": "pending",
"status_date": "2025-01-15T12:00:00.000Z",
"order": {},
"refresh_cache": true
}
'{
"success": true
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Store ID
"507f1f77bcf86cd799439011"
Order number
New financial status
pending, paid Date for the status change
"2025-01-15T12:00:00.000Z"
Order reference object
Refresh cache after update
Financial status updated
Whether the operation succeeded